<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rlParent"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="@dimen/custom_margin2dp"
    android:background="@drawable/ic_gradient_approved"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/custom_margin">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/dateTV"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/custom_margin"
            android:layout_marginTop="@dimen/custom_margin3dp"
            android:text="xcvbnm,"
            android:textColor="@color/black"
            android:textSize="@dimen/text_size_16sp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/titleTV"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/dateTV"
            android:layout_marginStart="@dimen/custom_margin"
            android:layout_marginTop="@dimen/custom_margin3dp"
            android:text="sdfgnhm,"
            android:textColor="@color/black"
            android:textSize="@dimen/text_size_16sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/dateTV"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/custom_margin3dp"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:id="@+id/approveCardView"
                android:layout_width="@dimen/text100dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/custom_margin"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginEnd="@dimen/padding_10dp"
                android:layout_marginBottom="@dimen/custom_margin"
                android:background="@color/white"
                android:visibility="gone"
                app:cardBackgroundColor="#DEFFE6"
                app:cardCornerRadius="@dimen/appbar_padding_top"
                app:strokeWidth="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <TextView
                        android:id="@+id/tvApprovePrmopt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/custom_margin3dp"
                        android:text="@string/approved"
                        android:textColor="#2B8641"
                        android:textSize="@dimen/text_size_16sp" />
                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/pendingCardView"
                android:layout_width="@dimen/text100dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/custom_margin"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginEnd="@dimen/padding_10dp"
                android:layout_marginBottom="@dimen/custom_margin"
                android:background="@color/white"
                android:visibility="gone"
                app:cardBackgroundColor="#F2F2F2"
                app:cardCornerRadius="@dimen/appbar_padding_top"
                app:strokeWidth="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/custom_margin"
                        android:text="@string/pending"
                        android:textColor="#222222"
                        android:textSize="@dimen/text_size_16sp" />
                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/rejectCardView"
                android:layout_width="@dimen/text100dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/custom_margin"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginEnd="@dimen/padding_10dp"
                android:layout_marginBottom="@dimen/custom_margin"
                android:background="@color/white"
                android:visibility="gone"
                app:cardBackgroundColor="#fff9f7"
                app:cardCornerRadius="@dimen/appbar_padding_top"
                app:strokeWidth="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/custom_margin3dp"
                        android:text="@string/reject_leave"
                        android:textColor="@color/reject_leave"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

            </androidx.cardview.widget.CardView>

        </LinearLayout>

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tvStatus"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/dateTV"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/custom_margin3dp"
            android:layout_marginEnd="@dimen/custom_layout_margin_50"
            android:gravity="center"
            android:text="sdfghj"
            android:textColor="@color/black"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold"
            android:visibility="gone"
            tools:ignore="RelativeOverlap" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/descTV"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/titleTV"
            android:layout_marginLeft="@dimen/custom_margin"
            android:layout_marginTop="@dimen/custom_margin3dp"
            android:layout_marginRight="@dimen/custom_margin"
            android:ellipsize="end"
            android:maxLines="2"
            android:text="sdfghj"
            android:textColor="#787878"
            android:textSize="@dimen/text_size_medium" />

    </RelativeLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/margin1dp"
        android:layout_marginTop="@dimen/custom_margin3dp"
        android:layout_marginEnd="@dimen/custom_margin"
        android:layout_marginBottom="@dimen/custom_margin3dp"
        android:background="@color/view_color" />

</androidx.appcompat.widget.LinearLayoutCompat>